<!--
function findObj(n, d) { 
	var p,i,x;
	if(!d) d=document;
	if((p=n.indexOf("?"))>0&&parent.frames.length) {
		d=parent.frames[n.substring(p+1)].document;
		n=n.substring(0,p);
	}
	if(!(x=d[n])&&d.all) x=d.all[n];
	for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
	for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=findObj(n,d.layers[i].document);
	if(!x && d.getElementById) x=d.getElementById(n);
	return x;
}

function checkForm() {
	var i,p,q,nm,test,num,min,max,errors='',args=checkForm.arguments;
	for (i=0; i<(args.length-2); i+=3) {
		test=args[i+2];
		nm=args[i+1];
		val=findObj(args[i]);
		if (val) {
			if ((val=val.value)!="") {
				if (test.indexOf('isEmail')!=-1) {
					p=val.indexOf('@');
					if (p<1 || p==(val.length-1)) errors+='- '+nm+' 蹇呴』鏄竴涓悎娉曠殑EMAIL鍦板潃.\n';
				}
				else if (test!='R') {
					num = parseFloat(val);
					if (isNaN(val)) errors+='- '+nm+' 蹇呴』鏄暟瀛?\n';

					if (test.indexOf('inRange') != -1) {
						p=test.indexOf(':');
						min=test.substring(8,p);
						max=test.substring(p+1);
						if (num<min || max<num) errors+='- '+nm+' 蹇呴』鏄?'+min+' 鍜?'+max+'涔嬮棿鐨勬暟瀛?\n';
					}

				}
			}
			else if (test.charAt(0) == 'R') errors += '- '+nm+' 涓嶈兘涓虹┖.\n';
		}
	}

	if (errors) alert('鍑洪敊浜?\n'+errors);
	document.returnValue = (errors == '');
}
//-->
